<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>im2movie</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">&lt;&lt; Utilities and Interactive Tools</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imaddtext.html">imaddtext &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a> &gt; im2movie</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">im2movie</h1>
    <p class="refpurpose">Create movie from sequence of images</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">err</span><span class="default"> = </span><span class="functionid">im2movie</span><span class="default">(</span><span class="default">mvfn</span><span class="default">,</span><span class="default">imfn</span><span class="default">,</span><span class="default">sz</span><span class="default">,</span><span class="default">fps</span><span class="default">,</span><span class="default">fourcc</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">mvfn :</span>
      <dd><p class="para">Output moive filename</p></dd></dt>
   <dt><span class="term">sz :</span>
      <dd><p class="para">A 1x2 vector, which indicates the frame size (width, height).</p></dd></dt>
   <dt><span class="term">fps :</span>
      <dd><p class="para">Frame pre second</p></dd></dt>
   <dt><span class="term">fourcc :</span>
      <dd><p class="para">4-character code of codec used to compress the frames</p></dd></dt>
   <dt><span class="term">repeat :</span>
      <dd><p class="para">How many times to repeat the sequence images</p></dd></dt>
   <dt><span class="term">err :</span>
      <dd><p class="para">Error message if any</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">This function convert sequence of images to movie with given setting.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">err</span> <span class="scilaboperator">=</span> <span class="scilabid">im2movie</span><span class="scilabopenclose">(</span><span class="scilabstring">&#0039;</span><span class="scilabstring">test.avi</span><span class="scilabstring">&#0039;</span><span class="scilabdefault">,</span><span class="scilabopenclose">[</span><span class="scilabnumber">1000</span> <span class="scilabnumber">600</span><span class="scilabopenclose">]</span><span class="scilabdefault">,</span><span class="scilabnumber">30</span><span class="scilabdefault">,</span><span class="scilabstring">&#0039;</span><span class="scilabstring">xvid</span><span class="scilabstring">&#0039;</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="avifile.html" class="link">avifile</a></li>
   <li class="member"><a href="addframe.html" class="link">addframe</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Copyright (C) 2012 - Trity Technologies.</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">&lt;&lt; Utilities and Interactive Tools</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_801a32c10cafa0071f9f29c6dd38b3e3.html">Utilities and Interactive Tools</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="imaddtext.html">imaddtext &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
